<?
/*======================================================================*\
|| #################################################################### ||
|| # PHP SCRIPTNET 3.2.1 FRAMEWORK					||
|| # ---------------------------------------------------------------- # ||
|| # This file should be redistributed in whole or significant part.  # ||
|| # ------------------ SCRIPTNET IS FREE SOFTWARE ------------------ # ||
|| # http://www.code2art.com/scriptnet				      # ||
|| # CopyLeft by Benediktus Ardian Hersanto, SE			      # ||
|| # Sorry if this framework is still unavailable for public	      #	||
|| # because I still searching on my own head.			      # ||
|| #################################################################### ||
\*======================================================================*/
// ---------------------------------------------------------------------//
// Free to use for everyone who understand PHP
// ---------------------------------------------------------------------//
/*
*@author B. Ardian Hersanto
*@copyright see gpl.txt
*@package ErrorHandler
*/

error_reporting(E_ALL);

if(phpversion()>="4.0.1") {
	if(!defined('_DEBUG_HANDLER')) {
	define('_DEBUG_HANDLER','PHP_FRAMEWORK_CLASSES');
	// GLOBAL ERROR CONTAINER
	if(isset($_ERROR)) global $_ERROR;
	
	function Exception($errcode='', $errstr='', $errfile='', $errline='') {
		global $_ERRORS;
		$filename = basename($errfile);
		$errstr = str_replace("\r\n","",str_replace("\n","",$errstr));
	  	switch ($errcode) {
			case E_ERROR:
				$errorType = "FATAL ERROR";
				$err = file($errfile);
				$errSrc = htmlspecialchars(trim(addslashes($err[$errline-1])), ENT_QUOTES);
				global $COUNTER;
				$COUNTER++;
				break;
			case E_WARNING:
				$errorType = "WARNING";
				$err = file($errfile);
				$errSrc = htmlspecialchars(trim(addslashes($err[$errline-1])), ENT_QUOTES);
				global $COUNTER;
				$COUNTER++;
				break;
			case E_PARSE:
				$errorType = "PARSE ERROR";
				$err = file($errfile);
				$errSrc = htmlspecialchars(trim(addslashes($err[$errline-1])), ENT_QUOTES);
				global $COUNTER;
				$COUNTER++;
				break;
			case E_NOTICE:
				$errorType = "NOTICE ERROR";
				$err = file($errfile);
				$errSrc = htmlspecialchars(trim(addslashes($err[$errline-1])), ENT_QUOTES);
				global $COUNTER;
				$COUNTER++;
				break;
			case E_CORE_ERROR:
				echo "<b>CORE ERROR</b> [$errno] $errstr<br />\n";
				break;
			case E_CORE_WARNING:
				echo "<b>WARNING</b> [$errno] $errstr<br />\n";
				exit;
				break;
			case E_COMPILE_ERROR:
				echo "<b>WARNING</b> [$errno] $errstr<br />\n";
				exit;
				break;
			case E_COMPILE_WARNING:
				echo "<b>WARNING</b> [$errno] $errstr<br />\n";
				exit;
				break;
			case E_USER_ERROR:
				global $COUNTER;
				$COUNTER++;
				break;
			case E_USER_WARNING:
				global $COUNTER;
				$COUNTER++;
				break;
			case E_USER_NOTICE:
				global $COUNTER;
				$COUNTER++;
				break;
	  	}
	}

	$old_error_handler = set_error_handler("Exception");
}
?>