<? /*
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;  PHP FRAMEWORK CLASSES CONFIGURATION  ;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; Main Configuration for systems
; Notes :
; the (*) mark are mandatory field (do not change their names)

[SITE]
DOMAIN_NAME = yourdomain.com; * 
SITE_TITLE = This is my website; *
WEB_ADMIN = /admin
ADMIN_MAIL = admin@yourdomain.com; *

[SYSTEM]
SUB_DIR = / ; * if this main site located on sub-directory like geocities.com/yoursite
SYS_DIR = /lib/php4; default framework classes directory
DOC_PATH = d:/wwwroot/mysite ; * root directory of your website located on the server
USE_SSL = false
JS_DIR = /lib/js
CACHE_DIR = /cache;

[LOG]
ERROR_LOG = /logs/error.log; *
PROCESS_LOG = /logs/process.log

[MYSQL]
DB_REF = db ; *
DB_LIB_NAME = dbms;
DB_ERROR_LOG = /logs/dberrors.log ; *
DB_DRIVER = mysql ; * other type of database server still not available yet
DB_HOST = localhost; * the name of your host or IP address of mysql account
DB_PORT = 3306 ; * MySQL Port change this value if your server use different setting
DB_NAME = test; * Database Name (leave this on its commented state, because its not used on this utility)
DB_USER = root; * Username to connect to MySQL server
DB_PASS = your_mysql_password; * Password
DB_PREFIX = sys ; * if you use spesific name on your tables define it here

[SESSION]
STORAGE_TYPE = SESS_FILES; (PHP_DEFAULT, SESS_FILES, SESS_DB) 3 types session model *
USE_PHP_DEFAULT_HANDLER = true; * this option is affected if STORAGE TYPE is using PHP_DEFAULT
SESS_TMP_DIR = /session_data ; * storage of temporary session data
SESS_NAME = SESSID ; * Default Cookie Name, php default is PHPSESSID
COOKIE_PATH = / ; *
COOKIE_LIFETIME = 60; * valid for n minutes *
COOKIE_DOMAIN = ; * example : .domain.com is set for entire sub domain *
COOKIE_SECURE = 0; * use only for SSL Connection *

[ERROR_HANDLER]
DISPLAY_ERRORS = 0; set to 1 if your site still on developing progress
USE_DEFAULT_HANDLER = true; If set to true you're using default error handler from PHP, if false exception handler are handled by debugger.lib.php
EXCEPTION_HANDLER = /lib/php/debugger.lib.php
USE_DB_LOG = true;
DB_DEBUG_NAME = mis_logs; database name for storing log data
DB_TABLE_NAME = app_error_uam; table name for storing log data

[DISPLAY]
CSS_STYLE = /css/style.css
RECORD_PER_PAGE = 25

[ADD-ON]


*/
?>